\name{ttesttwo}
\alias{ttesttwo}
\title{two-sample t-statistic}
\description{Computes the two-sample t-statistic for each row of a data matrix,
according to a bipartition of the set of columns.}
\usage{ttesttwo(dat, split)}
\arguments{
  \item{dat}{A numeric data matrix.}
  \item{split}{A binary vector encoding a bipartition of the set of columns of
  'dat'.}
}

\value{
  A vector with the t-statistic values for each row of 'dat', according to the
  bipartition.
}

\examples{
data(alizadeh)
split <- rep(0, ncol(alizadeh$x))
split[which(alizadeh$type=="FL")] <- 1
t <- ttesttwo(alizadeh$x, split) 
}
\keyword{univar}
